Skip to main content
GET
/
insights
/
revenue
Get net revenue summary
curl --request GET \
  --url https://api.alguna.io/insights/revenue \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "currency": "USD",
  "fixed_revenue_last_calendar_month": "95000.00",
  "fixed_revenue_this_calendar_month": "100000.00",
  "fixed_revenue_this_calendar_month_annualized": "1200000.00",
  "fixed_revenue_twelve_calendar_months_ago_annualized": "960000.00",
  "metered_revenue_last_calendar_month": "23000.00",
  "metered_revenue_this_calendar_month": "25000.00",
  "metered_revenue_this_calendar_month_annualized": "300000.00",
  "metered_revenue_twelve_calendar_months_ago_annualized": "240000.00",
  "net_revenue_last_calendar_month": "118000.00",
  "net_revenue_this_calendar_month": "125000.00",
  "net_revenue_this_calendar_month_annualized": "1500000.00",
  "net_revenue_twelve_calendar_months_ago_annualized": "1200000.00"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Response

Success

currency
string
required

ISO 4217 currency code

Example:

"USD"

fixed_revenue_last_calendar_month
string
required

Fixed revenue for the previous month

Example:

"95000.00"

fixed_revenue_this_calendar_month
string
required

Fixed (recurring) revenue for the current month

Example:

"100000.00"

fixed_revenue_this_calendar_month_annualized
string
required

Annualized fixed revenue based on the current month

Example:

"1200000.00"

fixed_revenue_twelve_calendar_months_ago_annualized
string
required

Annualized fixed revenue from twelve months ago

Example:

"960000.00"

metered_revenue_last_calendar_month
string
required

Metered revenue for the previous month

Example:

"23000.00"

metered_revenue_this_calendar_month
string
required

Metered (usage-based) revenue for the current month

Example:

"25000.00"

metered_revenue_this_calendar_month_annualized
string
required

Annualized metered revenue based on the current month

Example:

"300000.00"

metered_revenue_twelve_calendar_months_ago_annualized
string
required

Annualized metered revenue from twelve months ago

Example:

"240000.00"

net_revenue_last_calendar_month
string
required

Net revenue for the previous calendar month

Example:

"118000.00"

net_revenue_this_calendar_month
string
required

Net revenue for the current calendar month

Example:

"125000.00"

net_revenue_this_calendar_month_annualized
string
required

Annualized net revenue based on the current month

Example:

"1500000.00"

net_revenue_twelve_calendar_months_ago_annualized
string
required

Annualized net revenue from twelve months ago for comparison

Example:

"1200000.00"